package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @描述：操作日志dto
 * @作者：石纯山
 * @创建时间：2016年11月16日,上午10:20:36
 * @版本：1.0
 */
public class OperationLogDto implements Serializable{
	private static final long serialVersionUID = 2174460581092628390L;

	/**
	 * 操作内容
	 */
    private String content;
    /**
     * 操作员userId
     */
    private Long editorId;
    /**
     * ip地址
     */
    private String ip;
    /**
     * 操作时间
     */
    private Date time;
    /**
     * 代理ID
     */
    private Long agentId;
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public Long getEditorId() {
		return editorId;
	}
	public void setEditorId(Long editorId) {
		this.editorId = editorId;
	}
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public Date getTime() {
		return time;
	}
	public void setTime(Date time) {
		this.time = time;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	@Override
	public String toString() {
		return "OperationLog [content=" + content + ", editorId=" + editorId + ", ip=" + ip + ", time=" + time
				+ ", agentId=" + agentId + "]";
	}
}
